## ioquake3 1.36+u20250822.9d2227c+dfsg

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.25)

list(APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)
include(identity)

project(${PROJECT_NAME} VERSION ${PROJECT_VERSION} LANGUAGES C)

option(BUILD_SERVER "Build dedicated server" ON)
option(BUILD_CLIENT "Build client" ON)
option(BUILD_RENDERER_GL1 "Build GL1 renderer" ON)
option(BUILD_RENDERER_GL2 "Build GL2 renderer" ON)
option(BUILD_GAME_LIBRARIES "Build game module libraries" ON)
option(BUILD_GAME_QVMS "Build game module qvms" ON)
option(BUILD_STANDALONE "Build binaries for standalone games" OFF)

option(USE_ARCHLESS_FILENAMES "Don't include the architecture in binary filenames" OFF)
option(USE_RENDERER_DLOPEN "Dynamically load the renderer(s)" ON)
option(USE_OPENAL "OpenAL audio" ON)
option(USE_OPENAL_DLOPEN "Dynamically load OpenAL" ON)
option(USE_HTTP "HTTP download support" ON)
option(USE_CODEC_VORBIS "Ogg Vorbis support" ON)
option(USE_CODEC_OPUS "Ogg Opus support" ON)
option(USE_VOIP "Voice chat" ON)
option(USE_MUMBLE "Mumble support" ON)
option(USE_FREETYPE "Freetype font rendering" OFF)

option(USE_INTERNAL_LIBS "Use internally packaged libraries" ON)
option(USE_INTERNAL_SDL "Use internal SDL binary (if available)" ${USE_INTERNAL_LIBS})
option(USE_INTERNAL_ZLIB "Use internal copy of zlib" ${USE_INTERNAL_LIBS})
option(USE_INTERNAL_JPEG "Use internal copy of libjpeg" ${USE_INTERNAL_LIBS})
option(USE_INTERNAL_OGG "Use internal copy of ogg" ${USE_INTERNAL_LIBS})
option(USE_INTERNAL_VORBIS "Use internal copy of vorbis" ${USE_INTERNAL_LIBS})
option(USE_INTERNAL_OPUS "Use internal copy of opus" ${USE_INTERNAL_LIBS})

# Release build by default, set externally if you want something else
if(NOT CMAKE_CONFIGURATION_TYPES AND NOT CMAKE_BUILD_TYPE)
  set(CMAKE_BUILD_TYPE Release)
endif()

set(CMAKE_C_STANDARD 99)
set(CMAKE_C_STANDARD_REQUIRED ON)
set(CMAKE_SHARED_LIBRARY_PREFIX "")

if(NOT PRODUCT_VERSION)
    set(PRODUCT_VERSION "${CMAKE_PROJECT_VERSION}")

    if(EXISTS "${CMAKE_SOURCE_DIR}/.git")
        execute_process(
            COMMAND git show -s --pretty=format:%h
            WORKING_DIRECTORY "${CMAKE_SOURCE_DIR}"
            OUTPUT_VARIABLE GIT_REV
            OUTPUT_STRIP_TRAILING_WHITESPACE
            ERROR_QUIET)

        if(GIT_REV)
            set(PRODUCT_VERSION "${PRODUCT_VERSION}_g${GIT_REV}")
        endif()
    endif()
endif()

add_compile_definitions(PRODUCT_VERSION="${PRODUCT_VERSION}")

# For CI to read from
file(GENERATE OUTPUT ${CMAKE_BINARY_DIR}/version.txt CONTENT ${PRODUCT_VERSION})

set(SOURCE_DIR ${CMAKE_SOURCE_DIR}/code)

include(compilers/all)
include(platforms/all)
include(libraries/all)

include(server)
include(renderer_gl1)
include(renderer_gl2)
include(client)
include(basegame)
include(missionpack)

=== Makefile ===
#
# ioq3 Makefile
#
# GNU Make required
#
COMPILE_PLATFORM=$(shell uname | sed -e 's/_.*//' | tr '[:upper:]' '[:lower:]' | sed -e 's/\//_/g')
COMPILE_ARCH=$(shell uname -m | sed -e 's/i.86/x86/' | sed -e 's/^arm.*/arm/')

#arm64 hack!
ifeq ($(shell uname -m), arm64)
  COMPILE_ARCH=arm64
endif
ifeq ($(shell uname -m), aarch64)
  COMPILE_ARCH=arm64
endif

ifeq ($(COMPILE_PLATFORM),sunos)
  # Solaris uname and GNU uname differ
  COMPILE_ARCH=$(shell uname -p | sed -e 's/i.86/x86/')
endif

ifndef BUILD_STANDALONE
  BUILD_STANDALONE =
endif
ifndef BUILD_CLIENT
  BUILD_CLIENT     =
endif
ifndef BUILD_SERVER
  BUILD_SERVER     =
endif
ifndef BUILD_GAME_SO
  BUILD_GAME_SO    =
endif
ifndef BUILD_GAME_QVM
  BUILD_GAME_QVM   =
endif
ifndef BUILD_BASEGAME
  BUILD_BASEGAME =
endif
ifndef BUILD_MISSIONPACK
  BUILD_MISSIONPACK=
endif
ifndef BUILD_RENDERER_OPENGL1
  BUILD_RENDERER_OPENGL1=
endif
ifndef BUILD_RENDERER_OPENGL2
  BUILD_RENDERER_OPENGL2=
endif
ifndef BUILD_AUTOUPDATER  # DON'T build unless you mean to!
  BUILD_AUTOUPDATER=0
endif

#############################################################################
#
# If you require a different configuration from the defaults below, create a
# new file named "Makefile.local" in the same directory as this file and define
# your parameters there. This allows you to change configuration without
# causing problems with keeping up to date with the repository.
#
#############################################################################
-include Makefile.local

ifeq ($(COMPILE_PLATFORM),cygwin)
  PLATFORM=mingw32
endif

# detect "emmake make"
ifeq ($(findstring /emcc,$(CC)),/emcc)
  PLATFORM=emscripten
endif

ifndef PLATFORM
PLATFORM=$(COMPILE_PLATFORM)
endif
export PLATFORM

ifeq ($(PLATFORM),mingw32)
  MINGW=1
endif
ifeq ($(PLATFORM),mingw64)
  MINGW=1
endif

ifeq ($(COMPILE_ARCH),i86pc)
  COMPILE_ARCH=x86
endif

ifeq ($(COMPILE_ARCH),amd64)
  COMPILE_ARCH=x86_64
endif
ifeq ($(COMPILE_ARCH),x64)
  COMPILE_ARCH=x86_64
endif

ifeq ($(COMPILE_ARCH),powerpc)
  COMPILE_ARCH=ppc
endif
ifeq ($(COMPILE_ARCH),powerpc64)
  COMPILE_ARCH=ppc64
endif

ifeq ($(COMPILE_ARCH),axp)
  COMPILE_ARCH=alpha
endif

ifndef ARCH
ARCH=$(COMPILE_ARCH)
endif
export ARCH

ifneq ($(PLATFORM),$(COMPILE_PLATFORM))
  CROSS_COMPILING=1
else
  CROSS_COMPILING=0

  ifneq ($(ARCH),$(COMPILE_ARCH))
    CROSS_COMPILING=1
  endif
endif
export CROSS_COMPILING

ifndef VERSION
VERSION=1.36
endif

ifndef CLIENTBIN
CLIENTBIN=ioquake3
endif

ifndef SERVERBIN
SERVERBIN=ioq3ded
endif

ifndef BASEGAME
BASEGAME=baseq3
endif

ifndef BASEGAME_CFLAGS
BASEGAME_CFLAGS=
endif

ifndef MISSIONPACK
MISSIONPACK=missionpack
endif

ifndef MISSIONPACK_CFLAGS
MISSIONPACK_CFLAGS=-DMISSIONPACK
endif

ifndef COPYDIR
COPYDIR="/usr/local/games/quake3"
endif

ifndef COPYBINDIR
COPYBINDIR=$(COPYDIR)
endif

ifndef MOUNT_DIR
MOUNT_DIR=code
endif

ifndef BUILD_DIR
BUILD_DIR=build
endif

ifndef TEMPDIR
TEMPDIR=/tmp
endif

ifndef GENERATE_DEPENDENCIES
GENERATE_DEPENDENCIES=1
endif

ifndef USE_OPENAL
USE_OPENAL=1
endif

ifndef USE_OPENAL_DLOPEN
USE_OPENAL_DLOPEN=1
endif

ifndef USE_HTTP
USE_HTTP=1
endif

ifndef USE_CODEC_VORBIS
USE_CODEC_VORBIS=1
endif

ifndef USE_CODEC_OPUS
USE_CODEC_OPUS=1
endif

ifndef USE_MUMBLE
USE_MUMBLE=1
endif

ifndef USE_VOIP
USE_VOIP=1
endif

ifndef USE_FREETYPE
USE_FREETYPE=0
endif

ifndef USE_INTERNAL_LIBS
USE_INTERNAL_LIBS=1
endif

ifndef USE_INTERNAL_CURL_HEADERS
USE_INTERNAL_CURL_HEADERS=$(USE_INTERNAL_LIBS)
endif

ifndef USE_INTERNAL_OGG
USE_INTERNAL_OGG=$(USE_INTERNAL_LIBS)
endif

ifndef USE_INTERNAL_OPENAL_HEADERS
USE_INTERNAL_OPENAL_HEADERS=$(USE_INTERNAL_LIBS)
endif

ifndef USE_INTERNAL_VORBIS
USE_INTERNAL_VORBIS=$(USE_INTERNAL_LIBS)
endif

ifndef USE_INTERNAL_OPUS
USE_INTERNAL_OPUS=$(USE_INTERNAL_LIBS)
endif

ifndef USE_INTERNAL_SDL
USE_INTERNAL_SDL=$(USE_INTERNAL_LIBS)
endif

ifndef USE_INTERNAL_ZLIB
USE_INTERNAL_ZLIB=$(USE_INTERNAL_LIBS)
endif

ifndef USE_INTERNAL_JPEG
USE_INTERNAL_JPEG=$(USE_INTERNAL_LIBS)
endif

ifndef USE_RENDERER_DLOPEN
USE_RENDERER_DLOPEN=1
endif

ifndef USE_ARCHLESS_FILENAMES
USE_ARCHLESS_FILENAMES=0
endif

ifndef USE_YACC
USE_YACC=0
endif

ifndef USE_AUTOUPDATER  # DON'T include unless you mean to!
USE_AUTOUPDATER=0
endif

ifndef DEBUG_CFLAGS
DEBUG_CFLAGS=-ggdb -O0
endif

#############################################################################

BD=$(BUILD_DIR)/debug-$(PLATFORM)-$(ARCH)
BR=$(BUILD_DIR)/release-$(PLATFORM)-$(ARCH)
CDIR=$(MOUNT_DIR)/client
SDIR=$(MOUNT_DIR)/server
RCOMMONDIR=$(MOUNT_DIR)/renderercommon
RGL1DIR=$(MOUNT_DIR)/renderergl1
RGL2DIR=$(MOUNT_DIR)/renderergl2
CMDIR=$(MOUNT_DIR)/qcommon
SDLDIR=$(MOUNT_DIR)/sdl
ASMDIR=$(MOUNT_DIR)/asm
SYSDIR=$(MOUNT_DIR)/sys
GDIR=$(MOUNT_DIR)/game
CGDIR=$(MOUNT_DIR)/cgame
BLIBDIR=$(MOUNT_DIR)/botlib
NDIR=$(MOUNT_DIR)/null
UIDIR=$(MOUNT_DIR)/ui
Q3UIDIR=$(MOUNT_DIR)/q3_ui
JPDIR=$(MOUNT_DIR)/thirdparty/jpeg-9f
CURLDIR=$(MOUNT_DIR)/thirdparty/curl-8.15.0
OGGDIR=$(MOUNT_DIR)/thirdparty/libogg-1.3.6
VORBISDIR=$(MOUNT_DIR)/thirdparty/libvorbis-1.3.7
OPUSDIR=$(MOUNT_DIR)/thirdparty/opus-1.5.2
OPUSFILEDIR=$(MOUNT_DIR)/thirdparty/opusfile-0.12
OPENALDIR=${MOUNT_DIR}/thirdparty/openal-soft-1.24.3
ZDIR=$(MOUNT_DIR)/thirdparty/zlib-1.3.1
TOOLSDIR=$(MOUNT_DIR)/tools
Q3ASMDIR=$(MOUNT_DIR)/tools/asm
LBURGDIR=$(MOUNT_DIR)/tools/lcc/lburg
Q3CPPDIR=$(MOUNT_DIR)/tools/lcc/cpp
Q3LCCETCDIR=$(MOUNT_DIR)/tools/lcc/etc
Q3LCCSRCDIR=$(MOUNT_DIR)/tools/lcc/src
AUTOUPDATERSRCDIR=$(MOUNT_DIR)/autoupdater
LIBTOMCRYPTSRCDIR=$(AUTOUPDATERSRCDIR)/rsa_tools/libtomcrypt-1.17
TOMSFASTMATHSRCDIR=$(AUTOUPDATERSRCDIR)/rsa_tools/tomsfastmath-0.13.1
LOKISETUPDIR=misc/setup
NSISDIR=misc/nsis
WEBDIR=$(MOUNT_DIR)/web
SDLHDIR=$(MOUNT_DIR)/thirdparty/SDL2-2.32.8
LIBSDIR=$(MOUNT_DIR)/thirdparty/libs

bin_path=$(shell which $(1) 2> /dev/null)

# The autoupdater uses curl, so figure out its flags no matter what.
# We won't need this if we only build the server

# set PKG_CONFIG_PATH or PKG_CONFIG to influence this, e.g.
# PKG_CONFIG_PATH=/opt/cross/i386-mingw32msvc/lib/pkgconfig or
# PKG_CONFIG=arm-linux-gnueabihf-pkg-config
ifeq ($(CROSS_COMPILING),0)
  PKG_CONFIG ?= pkg-config
else
ifneq ($(PKG_CONFIG_PATH),)
  PKG_CONFIG ?= pkg-config
else
  # Don't use host pkg-config when cross-compiling.
  # (unknown-pkg-config is meant to be a non-existant command.)
  PKG_CONFIG ?= unknown-pkg-config
endif
endif

ifneq ($(call bin_path, $(PKG_CONFIG)),)
  CURL_CFLAGS ?= $(shell $(PKG_CONFIG) --silence-errors --cflags libcurl)
  CURL_LIBS ?= $(shell $(PKG_CONFIG) --silence-errors --libs libcurl)
  OPENAL_CFLAGS ?= $(shell $(PKG_CONFIG) --silence-errors --cflags openal)
  OPENAL_LIBS ?= $(shell $(PKG_CONFIG) --silence-errors --libs openal)
  SDL_CFLAGS ?= $(shell $(PKG_CONFIG) --silence-errors --cflags sdl2|sed 's/-Dmain=SDL_main//')
  SDL_LIBS ?= $(shell $(PKG_CONFIG) --silence-errors --libs sdl2)
else
  # assume they're in the system default paths (no -I or -L needed)
  CURL_LIBS ?= -lcurl
  OPENAL_LIBS ?= -lopenal
endif

ifeq ($(USE_INTERNAL_CURL_HEADERS),1)
  CURL_CFLAGS+=-I$(CURLDIR)/include
endif

ifeq ($(USE_INTERNAL_OPENAL_HEADERS),1)
  OPENAL_CFLAGS+=-I${OPENALDIR}/include
endif

# Use sdl2-config if all else fails
ifeq ($(SDL_CFLAGS),)
  ifneq ($(call bin_path, sdl2-config),)
    SDL_CFLAGS = $(shell sdl2-config --cflags)
    SDL_LIBS = $(shell sdl2-config --libs)
  endif
endif

# Add git version info
USE_GIT=
ifeq ($(wildcard .git),.git)
  GIT_REV=$(shell git show -s --pretty=format:%h-%ad --date=short)
  ifneq ($(GIT_REV),)
    VERSION:=$(VERSION)_GIT_$(GIT_REV)
    USE_GIT=1
  endif
endif


#############################################################################
# SETUP AND BUILD -- LINUX
#############################################################################

INSTALL=install
MKDIR=mkdir -p
EXTRA_FILES=
CLIENT_EXTRA_FILES=

ifneq (,$(findstring "$(COMPILE_PLATFORM)", "linux" "gnu_kfreebsd" "kfreebsd-gnu" "gnu"))
  TOOLS_CFLAGS += -DARCH_STRING=\"$(COMPILE_ARCH)\"
endif

ifneq (,$(findstring "$(PLATFORM)", "linux" "gnu_kfreebsd" "kfreebsd-gnu" "gnu"))
  WARNINGS_CFLAGS = -Wall -fno-strict-aliasing -Wimplicit -Wstrict-prototypes
  BASE_CFLAGS = -pipe -DUSE_ICON
  CLIENT_CFLAGS += $(SDL_CFLAGS)

  OPTIMIZEVM = -O3
  OPTIMIZE = $(OPTIMIZEVM) -ffast-math

  ifeq ($(ARCH),x86_64)
    OPTIMIZEVM = -O3
    OPTIMIZE = $(OPTIMIZEVM) -ffast-math
    HAVE_VM_COMPILED = true
  else
  ifeq ($(ARCH),x86)
    OPTIMIZEVM = -O3 -march=i586
    OPTIMIZE = $(OPTIMIZEVM) -ffast-math
    HAVE_VM_COMPILED=true
  else
  ifeq ($(ARCH),ppc)
    ALTIVEC_CFLAGS = -maltivec
    HAVE_VM_COMPILED=true
  endif
  ifeq ($(ARCH),ppc64)
    ALTIVEC_CFLAGS = -maltivec
    HAVE_VM_COMPILED=true
  endif
  ifeq ($(ARCH),sparc)
    OPTIMIZE += -mtune=ultrasparc3 -mv8plus
    OPTIMIZEVM += -mtune=ultrasparc3 -mv8plus
    HAVE_VM_COMPILED=true
  endif
  ifeq ($(ARCH),armv7l)
    HAVE_VM_COMPILED=true
  endif
  ifeq ($(ARCH),alpha)
    # According to http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=410555
    # -ffast-math will cause the client to die with SIGFPE on Alpha
    OPTIMIZE = $(OPTIMIZEVM)
  endif
  endif
  endif

  SHLIBEXT=so
  SHLIBCFLAGS=-fPIC -fvisibility=hidden
  SHLIBLDFLAGS=-shared $(LDFLAGS)

  THREAD_LIBS=-lpthread
  LIBS=-ldl -lm
  AUTOUPDATER_LIBS += -ldl

  CLIENT_LIBS=$(SDL_LIBS)
  RENDERER_LIBS = $(SDL_LIBS)

  ifeq ($(USE_OPENAL),1)
    ifneq ($(USE_OPENAL_DLOPEN),1)
      CLIENT_LIBS += $(THREAD_LIBS) $(OPENAL_LIBS)
    endif
  endif

  ifeq ($(USE_HTTP),1)
    CLIENT_CFLAGS += $(CURL_CFLAGS)
    CLIENT_LIBS += $(CURL_LIBS)
  endif

  ifeq ($(USE_MUMBLE),1)
    CLIENT_LIBS += -lrt
  endif

  ifeq ($(ARCH),x86)
    # linux32 make ...
    BASE_CFLAGS += -m32
  else
  ifeq ($(ARCH),ppc64)
    BASE_CFLAGS += -m64
  endif
  endif
else # ifeq Linux

#############################################################################
# SETUP AND BUILD -- MAC OS X
#############################################################################

ifeq ($(PLATFORM),darwin)
  HAVE_VM_COMPILED=true
  LIBS = -framework Cocoa
  CLIENT_LIBS=
  RENDERER_LIBS=
  OPTIMIZEVM = -O3

  # Default minimum Mac OS X version
  ifeq ($(MACOSX_VERSION_MIN),)
    MACOSX_VERSION_MIN=11.0
  endif

  MACOSX_MAJOR=$(shell echo $(MACOSX_VERSION_MIN) | cut -d. -f1)
  MACOSX_MINOR=$(shell echo $(MACOSX_VERSION_MIN) | cut -d. -f2)
  ifeq ($(shell test $(MACOSX_MINOR) -gt 9; echo $$?),0)
    # Multiply and then remove decimal. 10.10 -> 101000.0 -> 101000
    MAC_OS_X_VERSION_MIN_REQUIRED=$(shell echo "$(MACOSX_MAJOR) * 10000 + $(MACOSX_MINOR) * 100" | bc | cut -d. -f1)
  else
    # Multiply by 100 and then remove decimal. 10.7 -> 1070.0 -> 1070
    MAC_OS_X_VERSION_MIN_REQUIRED=$(shell echo "$(MACOSX_VERSION_MIN) * 100" | bc | cut -d. -f1)
  endif

  LDFLAGS += -mmacosx-version-min=$(MACOSX_VERSION_MIN)
  BASE_CFLAGS += -mmacosx-version-min=$(MACOSX_VERSION_MIN) \
                 -DMAC_OS_X_VERSION_MIN_REQUIRED=$(MAC_OS_X_VERSION_MIN_REQUIRED)

  MACOSX_ARCH=$(ARCH)
  ifeq ($(ARCH),x86_64)
    OPTIMIZEVM += -mfpmath=sse
    BASE_CFLAGS += -arch x86_64
  endif
  ifeq ($(ARCH),arm64)
    # HAVE_VM_COMPILED=false # TODO: implement compiled vm
    BASE_CFLAGS += -arch arm64
  endif

  # When compiling on OSX for OSX, we're not cross compiling as far as the
  # Makefile is concerned, as target architecture is specified as a compiler
  # argument
  ifeq ($(COMPILE_PLATFORM),darwin)
    CROSS_COMPILING=0
  endif

  ifeq ($(CROSS_COMPILING),1)
    # If CC is already set to something generic, we probably want to use
    # something more specific
    ifneq ($(findstring $(strip $(CC)),cc gcc),)
      CC=
    endif

    ifndef CC
      ifndef DARWIN
        # macOS 10.9 SDK
        DARWIN=13
        ifneq ($(findstring $(ARCH),ppc ppc64),)
          # macOS 10.5 SDK, though as of writing osxcross doesn't support ppc/ppc64
          DARWIN=9
        endif
        ifeq ($(ARCH),arm64)
          # macOS 11.3 SDK
          DARWIN=20.4
        endif
      endif

=== cmake/tools/CMakeLists.txt ===
cmake_minimum_required(VERSION ${CMAKE_MINIMUM_REQUIRED_VERSION})
project(qvm_tools LANGUAGES C)

include(utils/set_output_dirs)

set(Q3ASM_SOURCES
    ${SOURCE_DIR}/tools/asm/q3asm.c
    ${SOURCE_DIR}/tools/asm/cmdlib.c
)

set(Q3LCC_SOURCES
    ${SOURCE_DIR}/tools/lcc/etc/lcc.c
    ${SOURCE_DIR}/tools/lcc/etc/bytecode.c
)

set(Q3RCC_SOURCES
    ${SOURCE_DIR}/tools/lcc/src/alloc.c
    ${SOURCE_DIR}/tools/lcc/src/bind.c
    ${SOURCE_DIR}/tools/lcc/src/bytecode.c
    ${SOURCE_DIR}/tools/lcc/src/dag.c
    ${SOURCE_DIR}/tools/lcc/src/decl.c
    ${SOURCE_DIR}/tools/lcc/src/enode.c
    ${SOURCE_DIR}/tools/lcc/src/error.c
    ${SOURCE_DIR}/tools/lcc/src/event.c
    ${SOURCE_DIR}/tools/lcc/src/expr.c
    ${SOURCE_DIR}/tools/lcc/src/gen.c
    ${SOURCE_DIR}/tools/lcc/src/init.c
    ${SOURCE_DIR}/tools/lcc/src/inits.c
    ${SOURCE_DIR}/tools/lcc/src/input.c
    ${SOURCE_DIR}/tools/lcc/src/lex.c
    ${SOURCE_DIR}/tools/lcc/src/list.c
    ${SOURCE_DIR}/tools/lcc/src/main.c
    ${SOURCE_DIR}/tools/lcc/src/null.c
    ${SOURCE_DIR}/tools/lcc/src/output.c
    ${SOURCE_DIR}/tools/lcc/src/prof.c
    ${SOURCE_DIR}/tools/lcc/src/profio.c
    ${SOURCE_DIR}/tools/lcc/src/simp.c
    ${SOURCE_DIR}/tools/lcc/src/stmt.c
    ${SOURCE_DIR}/tools/lcc/src/string.c
    ${SOURCE_DIR}/tools/lcc/src/sym.c
    ${SOURCE_DIR}/tools/lcc/src/symbolic.c
    ${SOURCE_DIR}/tools/lcc/src/trace.c
    ${SOURCE_DIR}/tools/lcc/src/tree.c
    ${SOURCE_DIR}/tools/lcc/src/types.c
)

set(Q3RCC_DAGCHECK_SOURCE ${SOURCE_DIR}/tools/lcc/src/dagcheck.md)

set(Q3CPP_SOURCES
    ${SOURCE_DIR}/tools/lcc/cpp/cpp.c
    ${SOURCE_DIR}/tools/lcc/cpp/lex.c
    ${SOURCE_DIR}/tools/lcc/cpp/nlist.c
    ${SOURCE_DIR}/tools/lcc/cpp/tokens.c
    ${SOURCE_DIR}/tools/lcc/cpp/macro.c
    ${SOURCE_DIR}/tools/lcc/cpp/eval.c
    ${SOURCE_DIR}/tools/lcc/cpp/include.c
    ${SOURCE_DIR}/tools/lcc/cpp/hideset.c
    ${SOURCE_DIR}/tools/lcc/cpp/getopt.c
    ${SOURCE_DIR}/tools/lcc/cpp/unix.c
)

set(LBURG_SOURCES
    ${SOURCE_DIR}/tools/lcc/lburg/lburg.c
    ${SOURCE_DIR}/tools/lcc/lburg/gram.c
)

add_executable(q3asm ${Q3ASM_SOURCES})
target_compile_options(q3asm PRIVATE -fno-strict-aliasing)
set_output_dirs(q3asm)
add_executable(q3lcc ${Q3LCC_SOURCES})
target_compile_options(q3asm PRIVATE -fno-strict-aliasing)
set_output_dirs(q3lcc)
add_dependencies(q3lcc q3rcc q3cpp)

add_executable(lburg ${LBURG_SOURCES})
set_output_dirs(lburg)
set(DAGCHECK_C ${CMAKE_BINARY_DIR}/dagcheck.c)
add_custom_command(
    OUTPUT ${DAGCHECK_C}
    COMMAND lburg ${Q3RCC_DAGCHECK_SOURCE} ${DAGCHECK_C}
    DEPENDS lburg ${Q3RCC_DAGCHECK_SOURCE})

add_executable(q3rcc ${Q3RCC_SOURCES} ${DAGCHECK_C})
set_output_dirs(q3rcc)
target_include_directories(q3rcc PRIVATE ${SOURCE_DIR}/tools/lcc/src)

add_executable(q3cpp ${Q3CPP_SOURCES})
set_output_dirs(q3cpp)

=== debian/changelog ===
ioquake3 (1.36+u20250822.9d2227c+dfsg-2) unstable; urgency=medium

  * d/p/Remove-unused-matha.S.patch,
    d/p/asm-Remove-unused-S_PaintChannelFrom8.patch,
    d/p/client-Remove-i386-GNU-assembler-version-of-S_WriteLinear.patch:
    Add proposed patches to fix FTBFS on armel and armhf
  * d/rules: Pass CPPFLAGS to the assembler (thanks, blhc)
    This probably doesn't matter in practice, since the assembler code
    doesn't manipulate strings and isn't affected by _FORTIFY_SOURCE.

 -- Simon McVittie <smcv@debian.org>  Sat, 23 Aug 2025 11:40:38 +0100

ioquake3 (1.36+u20250822.9d2227c+dfsg-1) experimental; urgency=medium

  * New upstream snapshot
    - Build everything with -fvisibility=hidden, avoiding symbols from the
      executable interposing symbols of the same name in game modules
      (Closes: #1111671)
  * d/p/cmake-Only-link-snd_mixa-into-the-client-not-the-dedicate.patch:
    Add proposed patch to fix one reason for FTBFS on i386
  * d/p/cmake-Set-up-USE_ARCHLESS_FILENAMES-at-top-level.patch,
    d/p/qcommon-Build-generically-for-otherwise-unknown-architect.patch:
    Add proposed patches to fix the build on architectures not
    specifically recognised by upstream
  * d/rules: Build with SSE2 on i386, fixing another reason for FTBFS.
    The new upstream snapshot doesn't build successfully on i386
    without it. As per the trixie release notes, SSE2 is required now,
    so it doesn't seem productive to go to extra effort to avoid that.

 -- Simon McVittie <smcv@debian.org>  Fri, 22 Aug 2025 21:22:00 +0100

ioquake3 (1.36+u20250820.03c5ee0+dfsg-1) experimental; urgency=medium

  * New upstream snapshot
  * d/copyright: Update Files-Excluded
  * d/copyright: Update location of some files that were moved
  * Use the new upstream CMake build system
  * Game modules are now loaded from cgame.so, qagame.so and ui.so,
    without architecture-specific suffixes.
    This simplifies the packaging considerably, since we no longer need
    to track the corresponence between Debian architectures and their
    ioquake3 names.
    Add Breaks on older versions of openarena{,-server}, which relied
    on the architecture suffixes.
  * dlopening libcurl is now the only option, so do that.
    Generate ${dlopen:Depends}, ${dlopen:Recommends} for dlopen'd
    dependencies.
  * Build-depend on OpenSSL libcurl, not GNUTLS libcurl. This is the
    SONAME that ioquake3 will dlopen.
  * d/p/debian/Compile-successfully-against-libcurl-7.52.x.patch:
    Drop patch, no longer relevant in any supported Debian release
  * d/p/build-Link-game-cgame-ui-modules-to-LIBS.patch:
    Drop patch, fixed differently in the CMake build system
  * A known regression in this version is that it will not compile
    successfully on architectures not explicitly listed by
    upstream. It isn't clear whether any of the affected architectures
    worked: at least mips64el, riscv64 and s390x already did not (#1111671)

 -- Simon McVittie <smcv@debian.org>  Thu, 21 Aug 2025 09:25:52 +0100

=== debian/control ===
Source: ioquake3
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Bruno "Fuddl" Kleinert <fuddl@debian.org>,
 Simon McVittie <smcv@debian.org>,
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 dh-apparmor [linux-any] <!pkg.flatpak.app>,
 libcurl4-openssl-dev,
 libjpeg-dev,
 libopenal-dev,
 libopus-dev,
 libopusfile-dev,
 libsdl2-dev,
 libvorbis-dev,
 ninja-build,
Standards-Version: 4.7.2
Vcs-Git: https://salsa.debian.org/games-team/ioquake3.git
Vcs-Browser: https://salsa.debian.org/games-team/ioquake3
Homepage: https://ioquake3.org/
Rules-Requires-Root: no

Package: ioquake3
Architecture: any
Depends:
 ioquake3-server (= ${binary:Version}),
 sse2-support [any-i386],
 ${dlopen:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 ${dlopen:Recommends},
 x11-utils | zenity | kdialog,
Breaks:
 openarena (<< 0.8.8+dfsg-9~),
Description: Game engine for 3D first person shooter games
 This package installs a modified version of the ioQuake3 game engine,
 which can be used to play various games based on that engine, such as
 OpenArena, Quake III: Arena, World of Padman and Urban Terror.
 .
 This package alone isn't of any use; to get a playable game, install
 openarena or another suitable set of game data.

Package: ioquake3-server
Architecture: any
Depends:
 sse2-support [any-i386],
 ${misc:Depends},
 ${shlibs:Depends},
Breaks:
 openarena (<< 0.8.8+dfsg-9~),
 openarena-server (<< 0.8.8+dfsg-9~),
Description: Engine for 3D first person shooter games - server and common files
 This package contains common files for the ioQuake3 game engine,
 which can be used to play various games based on that engine, such as
 OpenArena, Quake III: Arena, World of Padman and Urban Terror.
 It also contains the dedicated server binary.
 .
 This package alone isn't of any use; to get a playable game, install
 openarena or another suitable set of game data, or to get a usable server,
 install openarena-server or another suitable set of server data.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS=hardening=+all
export LC_ALL=C.UTF-8
export TZ=UTC

DEB_CPPFLAGS_MAINT_APPEND := \
	-DWITH_OPENARENA \
	$(NULL)

DEB_CFLAGS_MAINT_APPEND := \
	-fsigned-char \
	$(NULL)

include /usr/share/dpkg/architecture.mk

ifeq ($(DEB_HOST_ARCH),i386)
# The build fails without this, and Debian >= 13 requires SSE2
# as per the release notes
DEB_CFLAGS_MAINT_APPEND += -msse2
endif

include /usr/share/dpkg/default.mk

export ASMFLAGS = $(ASFLAGS) $(CPPFLAGS)

%:
	dh $@ --buildsystem=cmake+ninja

OPTIONS = \
	-DBUILD_CLIENT=ON \
	-DBUILD_GAME_LIBRARIES=ON \
	-DBUILD_GAME_QVMS=OFF \
	-DBUILD_RENDERER_GL1=ON \
	-DBUILD_RENDERER_GL2=ON \
	-DBUILD_SERVER=ON \
	-DCMAKE_INSTALL_PREFIX=/usr/lib/ioquake3 \
	-DPRODUCT_VERSION="$(DEB_VERSION)/$(DEB_VENDOR)" \
	-DUSE_ARCHLESS_FILENAMES=ON \
	-DUSE_CODEC_VORBIS=ON \
	-DUSE_FREETYPE=OFF \
	-DUSE_HTTP=ON \
	-DUSE_INTERNAL_LIBS=OFF \
	-DUSE_MUMBLE=ON \
	-DUSE_OPENAL=ON \
	-DUSE_OPENAL_DLOPEN=OFF \
	-DUSE_RENDERER_DLOPEN=ON \
	-DUSE_VOIP=ON \
	$(NULL)

# This might seem unexpected with the existence of the openarena package,
# but it's actually what we want. If we built a STANDALONE engine, it would
# be suitable for derivatives like OpenArena, but not for Quake III Arena.
# A non-STANDALONE engine can still be configured with com_standalone
# at runtime.
OPTIONS += -DBUILD_STANDALONE=OFF

override_dh_auto_configure:
	dh_auto_configure -- $(OPTIONS)

override_dh_auto_test:

debian/depends.so: debian/shlibdeps-helper.c debian/rules
	$(CC) -shared $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) -Wl,--no-as-needed \
		-o$@ $< \
		$$(pkg-config --cflags --libs gl)

debian/recommends.so: debian/shlibdeps-helper.c debian/rules
	$(CC) -shared $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) -Wl,--no-as-needed \
		-o$@ $< \
		$$(pkg-config --cflags --libs libcurl)

execute_after_dh_shlibdeps-arch: debian/depends.so debian/recommends.so
	dh_shlibdeps -pioquake3 \
		-- \
		--warnings=1 -pdlopen \
		-dDepends -edebian/depends.so \
		-dRecommends -edebian/recommends.so \
		$(NULL)

ifeq ($(filter pkg.flatpak.app,$(DEB_BUILD_PROFILES)),)
ifeq ($(DEB_HOST_ARCH_OS),linux)
execute_after_dh_install-arch:
	dh_apparmor -pioquake3 --profile-name=usr.lib.ioquake3.ioquake3
	dh_apparmor -pioquake3-server --profile-name=usr.lib.ioquake3.ioq3ded
endif
endif

override_dh_installchangelogs:
	dh_installchangelogs -XChangeLog

## ioquake3 1.36+u20250830.2b516c5+dfsg

=== Makefile ===
--- 
+++ 
@@ -241,10 +241,6 @@
 
 ifndef USE_RENDERER_DLOPEN
 USE_RENDERER_DLOPEN=1
-endif
-
-ifndef USE_ARCHLESS_FILENAMES
-USE_ARCHLESS_FILENAMES=0
 endif
 
 ifndef USE_YACC
@@ -520,3 +516,4 @@
         endif
       endif
 
+      CC=$(MACOSX_ARCH)-apple-darwin$(DARWIN)-cc

=== debian/changelog ===
ioquake3 (1.36+u20250830.2b516c5+dfsg-1) unstable; urgency=medium

  * New upstream snapshot
  * Update patch series
    - d/p/cmake-Only-link-snd_mixa-into-the-client-not-the-dedicate.patch,
      d/p/Remove-unused-matha.S.patch,
      d/p/asm-Remove-unused-S_PaintChannelFrom8.patch,
      d/p/client-Remove-i386-GNU-assembler-version-of-S_WriteLinear.patch:
      Remove, applied upstream
    - d/p/cmake-Set-up-USE_ARCHLESS_FILENAMES-at-top-level.patch,
      d/p/qcommon-Build-generically-for-otherwise-unknown-architect.patch:
      Remove, solved differently upstream
  * d/rules: Stop setting USE_ARCHLESS_FILENAMES, now always-on

 -- Simon McVittie <smcv@debian.org>  Sat, 30 Aug 2025 18:20:15 +0100

=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,7 @@
 
 include /usr/share/dpkg/architecture.mk
 
-ifeq ($(DEB_HOST_ARCH),i386)
+ifeq ($(DEB_HOST_ARCH_CPU),i386)
 # The build fails without this, and Debian >= 13 requires SSE2
 # as per the release notes
 DEB_CFLAGS_MAINT_APPEND += -msse2
@@ -37,7 +37,6 @@
 	-DBUILD_SERVER=ON \
 	-DCMAKE_INSTALL_PREFIX=/usr/lib/ioquake3 \
 	-DPRODUCT_VERSION="$(DEB_VERSION)/$(DEB_VENDOR)" \
-	-DUSE_ARCHLESS_FILENAMES=ON \
 	-DUSE_CODEC_VORBIS=ON \
 	-DUSE_FREETYPE=OFF \
 	-DUSE_HTTP=ON \

## ioquake3 1.36+u20250830.3e0b279+dfsg

=== debian/changelog ===
ioquake3 (1.36+u20250830.3e0b279+dfsg-1) unstable; urgency=medium

  * New upstream snapshot, fixing FTBFS on architectures not recognised by
    upstream (again)

 -- Simon McVittie <smcv@debian.org>  Sat, 30 Aug 2025 23:00:29 +0100

## ioquake3 1.36+u20250901.45788d2+dfsg

=== debian/changelog ===
ioquake3 (1.36+u20250901.45788d2+dfsg-1) unstable; urgency=medium

  [ Helmut Grohne ]
  * d/rules: Fix FTCBFS by using triplet-prefixed pkgconf
    (Closes: #1112684)

  [ Simon McVittie ]
  * New upstream snapshot
  * d/control, d/rules: Use dpkg build API v1, available since trixie
    - /usr/share/dpkg/buildtools.mk does not need to be included explicitly
  * d/salsa-ci.yml: Exercise cross-builds
  * d/rules: Stop setting ASMFLAGS, no longer needed.
    All files containing standalone GNU assembler code were removed
    upstream, and the remaining GNU assembler code is inlined into C
    source, which already gets all the necessary compiler flags.

 -- Simon McVittie <smcv@debian.org>  Mon, 01 Sep 2025 10:56:57 +0100

## ioquake3 1.36+u20250908.3d8979f+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -13,7 +13,6 @@
 option(BUILD_GAME_QVMS "Build game module qvms" ON)
 option(BUILD_STANDALONE "Build binaries for standalone games" OFF)
 
-option(USE_ARCHLESS_FILENAMES "Don't include the architecture in binary filenames" OFF)
 option(USE_RENDERER_DLOPEN "Dynamically load the renderer(s)" ON)
 option(USE_OPENAL "OpenAL audio" ON)
 option(USE_OPENAL_DLOPEN "Dynamically load OpenAL" ON)
@@ -63,6 +62,11 @@
 # For CI to read from
 file(GENERATE OUTPUT ${CMAKE_BINARY_DIR}/version.txt CONTENT ${PRODUCT_VERSION})
 
+if(DEFINED ENV{SOURCE_DATE_EPOCH})
+    string(TIMESTAMP PRODUCT_DATE "%b %d %Y" UTC)
+    add_compile_definitions(PRODUCT_DATE="${PRODUCT_DATE}")
+endif()
+
 set(SOURCE_DIR ${CMAKE_SOURCE_DIR}/code)
 
 include(compilers/all)

=== cmake/tools/CMakeLists.txt ===
--- 
+++ 
@@ -65,12 +65,17 @@
 )
 
 add_executable(q3asm ${Q3ASM_SOURCES})
-target_compile_options(q3asm PRIVATE -fno-strict-aliasing)
 set_output_dirs(q3asm)
 add_executable(q3lcc ${Q3LCC_SOURCES})
-target_compile_options(q3asm PRIVATE -fno-strict-aliasing)
 set_output_dirs(q3lcc)
 add_dependencies(q3lcc q3rcc q3cpp)
+
+if(CMAKE_C_COMPILER_ID STREQUAL "GNU" OR CMAKE_C_COMPILER_ID MATCHES "^(Apple)?Clang$")
+    add_compile_options(-fno-strict-aliasing -Wno-unused-result
+        -Wno-pointer-to-int-cast -Wno-int-to-pointer-cast)
+elseif(CMAKE_C_COMPILER_ID STREQUAL "MSVC")
+    add_compile_options(/wd4311 /wd4312)
+endif()
 
 add_executable(lburg ${LBURG_SOURCES})
 set_output_dirs(lburg)

=== debian/changelog ===
ioquake3 (1.36+u20250908.3d8979f+dfsg-1) unstable; urgency=medium

  * New upstream snapshot
  * d/copyright: Remove stanza for a removed file
  * d/watch: Convert to v5 format
  * d/source/lintian-overrides: Ignore a false positive for d/watch v5

 -- Simon McVittie <smcv@debian.org>  Thu, 11 Sep 2025 10:59:19 +0100

=== debian/control ===
--- 
+++ 
@@ -9,6 +9,7 @@
  cmake,
  debhelper-compat (= 13),
  dh-apparmor [linux-any] <!pkg.flatpak.app>,
+ dpkg-build-api (= 1),
  libcurl4-openssl-dev,
  libjpeg-dev,
  libopenal-dev,

=== debian/rules ===
--- 
+++ 
@@ -22,8 +22,6 @@
 endif
 
 include /usr/share/dpkg/default.mk
-
-export ASMFLAGS = $(ASFLAGS) $(CPPFLAGS)
 
 %:
 	dh $@ --buildsystem=cmake+ninja
@@ -63,12 +61,12 @@
 debian/depends.so: debian/shlibdeps-helper.c debian/rules
 	$(CC) -shared $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) -Wl,--no-as-needed \
 		-o$@ $< \
-		$$(pkg-config --cflags --libs gl)
+		$$($(PKG_CONFIG) --cflags --libs gl)
 
 debian/recommends.so: debian/shlibdeps-helper.c debian/rules
 	$(CC) -shared $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) -Wl,--no-as-needed \
 		-o$@ $< \
-		$$(pkg-config --cflags --libs libcurl)
+		$$($(PKG_CONFIG) --cflags --libs libcurl)
 
 execute_after_dh_shlibdeps-arch: debian/depends.so debian/recommends.so
 	dh_shlibdeps -pioquake3 \

=== debian/watch ===
Version: 5

Source: https://github.com/ioquake/ioq3
Mode: git
Matching-Pattern: HEAD
Compression: xz
Dversion-Mangle: s/(\+u[0-9a-f.]+)?[~+](dfsg|ds)[0-9]*$/$1/
Git-Pretty: 1.36+u%cd.%h
Repacksuffix: +dfsg

## ioquake3 1.36+u20251029.a553ad1+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,10 @@
 cmake_minimum_required(VERSION 3.25)
+
+if(POLICY CMP0177)
+    # Policy CMP0177: install() DESTINATION paths are normalized
+    # Introduced in CMake 3.31
+    cmake_policy(SET CMP0177 NEW)
+endif()
 
 list(APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)
 include(identity)
@@ -45,14 +51,23 @@
 
     if(EXISTS "${CMAKE_SOURCE_DIR}/.git")
         execute_process(
-            COMMAND git show -s --pretty=format:%h
+            COMMAND git describe --tags --exact-match
             WORKING_DIRECTORY "${CMAKE_SOURCE_DIR}"
-            OUTPUT_VARIABLE GIT_REV
+            OUTPUT_VARIABLE GIT_TAG
             OUTPUT_STRIP_TRAILING_WHITESPACE
             ERROR_QUIET)
 
-        if(GIT_REV)
-            set(PRODUCT_VERSION "${PRODUCT_VERSION}_g${GIT_REV}")
+        if(NOT GIT_TAG STREQUAL "${PRODUCT_VERSION}")
+            execute_process(
+                COMMAND git show -s --pretty=format:%h
+                WORKING_DIRECTORY "${CMAKE_SOURCE_DIR}"
+                OUTPUT_VARIABLE GIT_REV
+                OUTPUT_STRIP_TRAILING_WHITESPACE
+                ERROR_QUIET)
+
+            if(GIT_REV)
+                set(PRODUCT_VERSION "${PRODUCT_VERSION}_g${GIT_REV}")
+            endif()
         endif()
     endif()
 endif()
@@ -79,3 +94,6 @@
 include(client)
 include(basegame)
 include(missionpack)
+
+include(post_configure)
+include(installer)

=== misc/nsis/Makefile ===
ifndef VERSION
VERSION=1.36_SVN
endif
ifndef RELEASE
RELEASE=0
endif
ifndef PLATFORM
PLATFORM=mingw32
endif
ifndef ARCH
ARCH=x86
endif
ifndef INSTALLDIR
INSTALLDIR=.
endif
ifndef USE_RENDERER_DLOPEN
USE_RENDERER_DLOPEN=1
endif
ifndef USE_OPENAL_DLOPEN
USE_OPENAL_DLOPEN=1
endif
ifndef USE_INTERNAL_ZLIB
USE_INTERNAL_ZLIB=1
endif
ifndef USE_INTERNAL_JPEG
USE_INTERNAL_JPEG=1
endif
ifndef SDLDLL
	ifeq ($(ARCH),x86_64)
		SDLDLL=SDL264.dll
	else
		SDLDLL=SDL2.dll
	endif
endif
ifndef OPENALDLL
	ifeq ($(ARCH),x86_64)
		OPENALDLL=OpenAL64.dll
	else
		OPENALDLL=OpenAL32.dll
	endif
endif

DEFINES=
ifeq ($(USE_RENDERER_DLOPEN),1)
	DEFINES+= -DUSE_RENDERER_DLOPEN
endif
ifeq ($(USE_OPENAL_DLOPEN),1)
	DEFINES+= -DUSE_OPENAL_DLOPEN
endif
ifeq ($(USE_INTERNAL_ZLIB),1)
	DEFINES+= -DUSE_INTERNAL_ZLIB
endif
ifeq ($(USE_INTERNAL_JPEG),1)
	DEFINES+= -DUSE_INTERNAL_JPEG
endif


all: ioquake3-$(VERSION)-$(RELEASE).$(ARCH).exe

ioquake3.$(ARCH).nsi: ioquake3.nsi.in
	sed 's/XXXVERSIONXXX/$(VERSION)/;s/XXXRELEASEXXX/$(RELEASE)/;s/mingw32/$(PLATFORM)/g;s/x86/$(ARCH)/g;s/SDL2.dll/$(SDLDLL)/g;s/OpenAL32.dll/$(OPENALDLL)/g' < $< > $@

ioquake3-$(VERSION)-$(RELEASE).$(ARCH).exe: ioquake3.$(ARCH).nsi
	makensis $(DEFINES) ioquake3.$(ARCH).nsi

clean:
	rm -rf *.exe ioquake3.$(ARCH).nsi

install:
	mkdir -p $(INSTALLDIR)
	mv ioquake3-$(VERSION)-$(RELEASE).$(ARCH).exe $(INSTALLDIR)

.PHONY: all clean

=== debian/changelog ===
ioquake3 (1.36+u20251029.a553ad1+dfsg-1) unstable; urgency=medium

  * New upstream snapshot
    - For Quake 3 Arena, this version migrates configuration, data and
      state from ~/.q3a to ~/.config/Quake3, ~/.local/share/Quake3 and
      ~/.local/state/Quake3 respectively (those paths can be overridden
      by the XDG environment variables in the usual way).
    - Other games should set com_homepath or fs_homepath to an appropriate
      location.
  * Refresh patch series
  * Create a flag-file to signal to quake3 that we are using the new paths
  * Add versioned Breaks on older quake3, quake3-server, openarena,
    openarena-server. We need a version that can cope with the new meaning of
    com_homepath.
  * d/*.docs: Update source paths
  * Remove an unnecessary lintian override
  * Reformat packaging (debputy reformat)
  * Remove Rules-Requires-Root, no longer needed since Debian 13
  * d/copyright: Update

 -- Simon McVittie <smcv@debian.org>  Wed, 29 Oct 2025 10:59:44 +0000

=== debian/control ===
--- 
+++ 
@@ -1,4 +1,5 @@
 Source: ioquake3
+X-Style: black
 Section: games
 Priority: optional
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
@@ -6,10 +7,10 @@
  Bruno "Fuddl" Kleinert <fuddl@debian.org>,
  Simon McVittie <smcv@debian.org>,
 Build-Depends:
- cmake,
  debhelper-compat (= 13),
  dh-apparmor [linux-any] <!pkg.flatpak.app>,
  dpkg-build-api (= 1),
+ cmake,
  libcurl4-openssl-dev,
  libjpeg-dev,
  libopenal-dev,
@@ -22,7 +23,6 @@
 Vcs-Git: https://salsa.debian.org/games-team/ioquake3.git
 Vcs-Browser: https://salsa.debian.org/games-team/ioquake3
 Homepage: https://ioquake3.org/
-Rules-Requires-Root: no
 
 Package: ioquake3
 Architecture: any
@@ -33,10 +33,11 @@
  ${misc:Depends},
  ${shlibs:Depends},
 Recommends:
+ x11-utils | zenity | kdialog,
  ${dlopen:Recommends},
- x11-utils | zenity | kdialog,
 Breaks:
- openarena (<< 0.8.8+dfsg-9~),
+ openarena (<< 0.8.8+dfsg-11~),
+ quake3 (<< 86~),
 Description: Game engine for 3D first person shooter games
  This package installs a modified version of the ioQuake3 game engine,
  which can be used to play various games based on that engine, such as
@@ -52,8 +53,10 @@
  ${misc:Depends},
  ${shlibs:Depends},
 Breaks:
- openarena (<< 0.8.8+dfsg-9~),
- openarena-server (<< 0.8.8+dfsg-9~),
+ openarena (<< 0.8.8+dfsg-11~),
+ openarena-server (<< 0.8.8+dfsg-11~),
+ quake3 (<< 86~),
+ quake3-server (<< 86~),
 Description: Engine for 3D first person shooter games - server and common files
  This package contains common files for the ioQuake3 game engine,
  which can be used to play various games based on that engine, such as

=== debian/watch ===
--- 
+++ 
@@ -6,4 +6,4 @@
 Compression: xz
 Dversion-Mangle: s/(\+u[0-9a-f.]+)?[~+](dfsg|ds)[0-9]*$/$1/
 Git-Pretty: 1.36+u%cd.%h
-Repacksuffix: +dfsg
+Repack-Suffix: +dfsg

## ioquake3 1.36+u20251111.fcde284+dfsg

=== debian/changelog ===
ioquake3 (1.36+u20251111.fcde284+dfsg-1) unstable; urgency=medium

  * New upstream snapshot
  * d/copyright: Update

 -- Simon McVittie <smcv@debian.org>  Mon, 17 Nov 2025 10:55:57 +0000

=== debian/rules ===
--- 
+++ 
@@ -56,6 +56,11 @@
 override_dh_auto_configure:
 	dh_auto_configure -- $(OPTIONS)
 
+# Signal to game-data-packager that this version of the engine includes
+# migration to ~/.local/state/Quake3.
+execute_after_dh_auto_install:
+	touch debian/tmp/usr/lib/ioquake3/xdg-migration.stamp
+
 override_dh_auto_test:
 
 debian/depends.so: debian/shlibdeps-helper.c debian/rules

## ioquake3 1.36+u20251206.e29c74e1+dfsg

=== debian/changelog ===
ioquake3 (1.36+u20251206.e29c74e1+dfsg-1) unstable; urgency=medium

  * New upstream snapshot

 -- Simon McVittie <smcv@debian.org>  Mon, 08 Dec 2025 11:23:26 +0000

## ioquake3 1.36+u20251228.3ef30e75+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -40,6 +40,14 @@
 # Release build by default, set externally if you want something else
 if(NOT CMAKE_CONFIGURATION_TYPES AND NOT CMAKE_BUILD_TYPE)
   set(CMAKE_BUILD_TYPE Release)
+endif()
+
+# Try to enable LTO by default
+include(CheckIPOSupported)
+check_ipo_supported(RESULT IPO_SUPPORTED)
+if(IPO_SUPPORTED)
+    set(CMAKE_INTERPROCEDURAL_OPTIMIZATION TRUE)
+    set(CMAKE_INTERPROCEDURAL_OPTIMIZATION_DEBUG FALSE)
 endif()
 
 set(CMAKE_C_STANDARD 99)

=== debian/changelog ===
ioquake3 (1.36+u20251228.3ef30e75+dfsg-1) unstable; urgency=medium

  * New upstream snapshot
  * Run in fullscreen at desktop resolution in new installations,
    as discussed recently on the debian-devel-games list
    - d/p/debian/Run-in-a-window-by-default-on-new-installations.patch:
      Drop patch
  * d/control: Standards-Version: 4.7.3 (no changes required)
  * d/control: Remove unnecessary Priority field

 -- Simon McVittie <smcv@debian.org>  Fri, 02 Jan 2026 16:44:41 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: ioquake3
 X-Style: black
 Section: games
-Priority: optional
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders:
  Bruno "Fuddl" Kleinert <fuddl@debian.org>,
@@ -19,7 +18,7 @@
  libsdl2-dev,
  libvorbis-dev,
  ninja-build,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Git: https://salsa.debian.org/games-team/ioquake3.git
 Vcs-Browser: https://salsa.debian.org/games-team/ioquake3
 Homepage: https://ioquake3.org/

## ioquake3 1558-maemo3

=== debian/changelog ===
ioquake3 (1558-maemo3) unstable; urgency=low

  * Architecture should be armel, as x86 is not supported.

 -- Oliver McFadden <oliver.mcfadden@nokia.com>  Sun, 11 Oct 2009 15:16:58 +0300

ioquake3 (1558-maemo2) unstable; urgency=low

  * Add the configuration files.

 -- Oliver McFadden <oliver.mcfadden@nokia.com>  Sun, 11 Oct 2009 14:57:33 +0300

ioquake3 (1558-maemo1) unstable; urgency=low

  * Initial Release.

 -- Oliver McFadden <oliver.mcfadden@nokia.com>  Sun, 11 Oct 2009 13:11:09 +0300
